Bug 8447 - [UPDATE REQUEST 2016.1] samba 4.6.11
: [UPDATE REQUEST 2016.1] samba 4.6.11
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-02 17:04 MSK by Алзим
Modified: 2017-12-12 05:25 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Алзим 2017-11-02 17:04:05 MSK
This is the latest stable release of the Samba 4.6 release series.
Samba 4.6.9
https://abf.io/build_lists/2907751
https://abf.io/build_lists/2907752
Comment 1 Алзим 2017-11-21 17:42:07 MSK
Опубликованы корректирующие выпуски Samba 4.7.3, 4.6.11 и 4.5.15, в которых устранены две уязвимости:

CVE-2017-14746 - уязвимость, вызванная обращением к уже освобождённому блоку памяти, позволяет получить контроль за содержимым кучи через манипуляции с находящимся в освобождаемой области указателем. Через отправку специально оформленного запроса SMB1 атакующие потенциально могут выполнить код на сервере. В качестве обходного пути защиты рекомендуется запретить использование протокола SMB1, добавив в настройки "server min protocol = SMB2". Проблема проявляется во всех выпусках, начиная с Samba 4.0;
CVE-2017-15275 - отсутствие очистки памяти перед применением структур данных может привести к утечке содержимого памяти серверного процесса (например, хэшей паролей и данных, используемых в обработке предыдущего запроса) в составе отправляемых клиенту ответов. Проблема проявляется начиная с выпуска Samba 3.6.

Updated tevent to 0.9.34
https://abf.io/build_lists/2913501
https://abf.io/build_lists/2913502

Updated samba to 4.6.11
https://abf.io/build_lists/2913503
https://abf.io/build_lists/2913504
Comment 2 Vladimir Potapov 2017-11-30 15:54:01 MSK
The update is sent to expanded testing
***************************************
Comment 3 Vladimir Potapov 2017-12-11 19:27:08 MSK
tevent-0.9.34-1
https://abf.io/build_lists/2913501
https://abf.io/build_lists/2913502


samba-4.6.11-1
https://abf.io/build_lists/2913503
https://abf.io/build_lists/2913504
**************************** Advisory ****************************
Updated to 4.6.1 with fixes CVE-2017-14746  and CVE-2017-15275
******************************************************************
QA Verified